{% load static %}
{% load humanize %}
{% load mathfilters %}
{% load custom_tags %}

<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{title}}</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 20px;
            line-height: 1.6;
            color: #000 !important;
        }
        .header {
            text-align: center;
            margin-bottom: 20px;
        }
        .content {
            margin-bottom: 20px;
            text-align: center;
        }
        .signature {
            margin-top: 50px;
            margin-right: 50px;
            display: flex;
            justify-content: flex-end; /* Memindahkan konten ke sisi kanan */
            align-items: center;
        }
        .signature-content {
            text-align: center;
        }
        .letterhead {
            font-size: 18pt;
            font-weight: bold;
            margin: 0;
        }
        address {
            margin: 0;
            font-style: normal;
            line-height: 1.2;
            padding-top: 0;
            border-bottom: 2px solid black;
            padding-bottom: 5px;
        }
        .left-align {
            text-align: left;
            margin: 0;
            margin-left: 20px;
        }
        .justify-text {
            text-align: justify;
            margin-left: 40px;
        }
        .no-margin {
            margin: 0;
        }
        .margin-top-15 {
            margin-top: 15px;
        }
        .txtcenter{
            text-align: center;
        }
        .custom-table {
            border-collapse: collapse;
            width: 100%;
            }
        .custom-table th, .custom-table td {
            border: 1px solid black; /* Ganti warna border sesuai kebutuhan */
            padding: 0px; /* Ganti nilai padding sesuai kebutuhan */
            text-align: left;
    
        }

        .table-rincian {
            border-collapse: collapse;
            margin-top: 0px;
            font-size: 12pt;
            width: 100%;
            border: 1px solid black;

        }
        .table-rincian th, .table-rincian td {
            vertical-align: top;
            padding-top: 3px;
        }

        .br-right{
            border-right: 1px solid #333 !important;
        }
        .br-bottom{
            border-bottom: 1px solid #333 !important;
        }
        .br-top{
            border-top: 1px solid #333 !important;
        }
        .br-left{
            border-left: 1px solid #333 !important;
        }

        .br-left-none{
            border-left: none !important;
        }
        .br-right-none{
            border-right: none !important;
        }
        .br-bottom-none{
            border-bottom: none !important;
        }
    </style>
    <link rel="stylesheet" type="text/css" href="{{url_app}}{% static 'admin/css/bootstrap.min.css' %}">  
</head>
<body onload="window.print()">
    <div class="header">
        <h2 class="letterhead">{{data_detail_spk.perusahaan.namaperusahaan|upper}}</h2>
        <address>
            {{data_detail_spk.perusahaan.alamatperusahaan|title }}<br>
        </address>
    </div>

    <h2 class="text-center border-top border-bottom border-dark border-3 py-1 mt-5" style="background-color: #e0e0e0;">
        FAKTUR TAGIHAN
    </h2>
    

    <div class="content">
        <p class="left-align no-margin mt-4">Kepada Yth.</p>
        <p class="left-align no-margin">Pengguna Anggaran/Kuasa Pengguana Anggaran</p>
        <p class="left-align no-margin">Kegiatan {{data_detail_spk.subkegiatan.kegiatan_nama}} </p>
        <p class="left-align no-margin">{{data_detail_spk.uraipekerjaan}}</p>
        <p class="left-align no-margin">{{data_detail_spk.opd.namaopd}} Tahun Anggaran {{data_detail_spk.opd.tahun.tahun|intcomma_no_decimal}}  </p>
        <p class="left-align no-margin">Di- <br> &nbsp &nbsp {{data_detail_spk.opd.lokasi.kabupaten}}</p>
        <br>
        
    </div>

    <table class="table-rincian">
        <thead>
            <tr>
                <th class="br-right br-bottom txtcenter">No</th>
                <th class="br-bottom txtcenter">Uraian</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td class="br-right txtcenter">A. </td>
                <td>Pembayaran Angsuran Lunas 100% {{data_detail_spk.uraipekerjaan}}</td>
            </tr>
            <tr>
                <td class="br-right txtcenter">B. </td>
                <td>Berdasarkan SURAT PERINTAH KERJA(SPK) : </td>
            </tr>
            <tr>
                <td class="br-right"></td>
                <td>Nomor &nbsp;&nbsp; : {{data_detail_spk.nospk}} </td>
            </tr>
            <tr>
                <td class="br-right"></td>
                <td>Tanggal &nbsp;: {{data_detail_spk.tglspk}} </td>
            </tr>
            <tr>
                <td class="br-right txtcenter">C.</td>
                <td>Rincian Belanja : </td>
            </tr>
            <tr>
                <td  class="br-right"></td>
                <td>
                    <table class="custom-table">
                        <thead class="text-center">
                            <th class="text-center border border-dark  border-right-0 border-left-0">Uraian Pekerjaan</th>
                            <th class="text-center border border-dark  border-right-0">Kuantitas</th>
                            <th class="text-center border border-dark  border-right-0">Satuan  Ukuran</th>
                            <th class="text-center border border-dark  border-right-0">Harga satuan  (Rp.)</th>
                            <th class="text-center border border-dark  border-right-0">Total  (Rp.)</th>
                        </thead>
                        <tbody>
            
                            {% for item_rincianSPK, ssh in data_spk.rincian_rekening.items %}
                            <tr>
                                <!-- <td></td> -->
                                <td colspan="5" class="border border-dark border-3 border-right-0 border-left-0">
                                    # {{item_rincianSPK}}
                                </td>
                            </tr>
                            {% for ssh in ssh %}
                                <tr>
                                    <!-- <td></td> -->
                                    <td class="text-right border border-dark border-3 border-left-0 pl-4" style="max-width: 350px; white-space: normal; word-break: break-word;">
                                        <div class="d-inline-block text-justify text-right" style="text-align: justify; width: 100%;">
                                            {{ ssh.uraian_ssh }}
                                        </div>
                                    </td>
                                    
                                    <td class="text-right border border-dark border-3 border-right-0">{{ssh.volume|intcomma_no_decimal}}</td>
                                    <td class="text-center border border-dark border-3 border-right-0">{{ssh.satuan}}</td>
                                    <td class="text-right border border-dark border-3 border-right-0">Rp {{ssh.nilai}}</td>
                                    <td class="text-right border border-dark border-3 border-right-0">Rp {{ssh.realisasi}}</td>
                                </tr>
                            {% endfor %}
                        {% endfor %}
                                
                            <tr id="total-row">
                                <td class="text-right border border-dark border-3 border-right-0 border-bottom-0 border-left-0" colspan="3"></td>
                                <td class="text-right border border-dark border-3 border-right-0 border-bottom-0"><strong>JUMLAH A</strong></td>
                                <td class="text-right border border-dark border-3 border-right-0 border-bottom-0"><strong>{{jumlah_harga}}</strong> </td>
        
                            </tr>
                        </tbody>    
                    </table>
                </td>
            </tr>
        </tbody>
        <tfoot>
            <td rowspan="2" colspan="2" class="br-top">Terbilang : 
                {{ jumlah_harga|floatformat:0|cut:"."|cut:","|terbilang }}
            </td>
            
        </tfoot>
    </table>
    
{% comment %} 
   <div>
        <table>
            {% for pajak_item in fakturpajakrincian_list %}
            <tr>
                <th>PAJAK {{pajak_item.jenispajak}}</th>
                <th>=</th>
                <th>
                    <p hidden class="valpajak">{{pajak_item.nilaipajak}}</p>
                    {{pajak_item.nilaipajak|intcomma}}
                </th>
            </tr>
            {% endfor %}
            <tr>
                <th>Total Pajak </th>
                <th>=</th>
                <th id="totalpajak-value"><strong>0</strong></th>
            </tr>
            <tr>
                <th>Total Bersih </th>
                <th>= Rp.</th>
                <th><p id="totalbersih-value"></p></th>
            </tr>
            
        </table>
   </div> {% endcomment %}



    <div class="signature">
        <div class="signature-content">
            <p style="padding: 0; margin: 0;">Kigamani, {{ tgl_print|date:'d F Y' }}</p>
            <p style="padding: 0; margin: 0;"><b>{{data_detail_spk.perusahaan.namaperusahaan|title}}</b></p>
            <br><br><br>
            <p style="padding: 0; margin: 0;"><b>{{data_detail_spk.perusahaan.namadirektur|upper}}</b></p>
            <p style="padding: 0; margin: 0;">PIMPINAN</p>
        </div>
        
    </div>
</body>
</html>
{% block scripts_bawah %}
    <script>
    // RINCIAN DATA SPK
    var hargaCells = document.querySelectorAll('.harga');
    var total = 0;
    hargaCells.forEach(function(cell) {
        total += parseFloat(cell.textContent.replace(/[^\d.-]/g, ''));
    });
    document.getElementById('total-value').textContent = total.toLocaleString('id-ID'); // Format the total with commas

    // RINCIAN PAJAK
    var pajakcell = document.querySelectorAll('.valpajak');
    var totalpajak = 0;
    pajakcell.forEach(function(cell) {
        totalpajak += parseFloat(cell.textContent.replace(/[^\d.-]/g));
    });
    document.getElementById('totalpajak-value').textContent = totalpajak.toLocaleString('id-ID'); // Format the total with commas

    var totalbersih = total - totalpajak
    document.getElementById('totalbersih-value').textContent = totalbersih.toLocaleString('id-ID'); // Format the total with commas
</script>
{% endblock scripts_bawah %}